Skip to main content
GET
Retrieve Device Session

Authorizations

Authorization
string
header
required

Short-lived session token obtained from POST /api/sessions/v2. Send it as Authorization: Bearer <session_token> together with the X-Device-Key: <device-key> header identifying the target device.

Headers

X-Device-Key
string
required

Device Key (4 BIP39 words) identifying the target device. Obtain it from POST /device/otp/confirm/v2.

Pattern: ^[a-z]+-[a-z]+-[a-z]+-[a-z]+$
Example:

"alpha-bravo-charlie-delta"

Response

200 - application/json

OK

connected_at
string<date-time>
required

The time the device was connected.

Example:

"2022-09-01T12:34:56Z"

ip
string
required

The IP address of the device.

Example:

"244.178.44.111"

server_time
string<date-time>
required

The current time of the server.

Example:

"2022-09-01T12:34:56Z"